package com.vote.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vote.system.domain.VoteRule;
import com.baomidou.mybatisplus.extension.service.IService;
import com.vote.system.domain.VoteScoringItem;
import com.vote.system.domain.dto.VoteScoringItemDto;

import java.util.List;

/**
* @author MacBook
* @description 针对表【vote_rule(规则表)】的数据库操作Service
* @createDate 2024-08-06 15:38:50
*/
public interface VoteRuleService extends IService<VoteRule> {

    IPage<VoteRule> selectRulePage(VoteRule voteRule);

    VoteScoringItemDto selectByRuleId(Integer ruleId);

    int updateRule(VoteRule voteRule);

    Long insertRule(VoteRule voteRule);

    int deleteRuleByRuleIds(Integer ruleId);


    List<VoteRule> selectSearch(String searchValue);
}
